[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TActionEvent

Specifies an event handler signalled to implement an action in TCustomActionList.

## Declaration

Source position: actnlist.pas line 73

`type TActionEvent = procedure(`
`AAction: TBasicAction;`
`var Handled: Boolean`
`) of object;`

## Arguments

`AAction` |  | TBasicAction for the event notification.
`Handled` |  | True if the action was executed in the action list for t he handler.

## Description

Arguments passed to the event handler include the Action for the notification and a return value that indicates if the action was executed.

TActionEvent is the type used for the OnExecute and OnUpdate properties in TCustomActionList.